package com.cmvr.test.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmvr.test.enums.TaskStatusEnum;
import com.cmvr.test.model.domain.TeTaskInst;
import com.cmvr.test.model.vo.TeQueryTaskInstVO;
import com.cmvr.test.model.vo.TeTaskInstVO;

import java.util.List;

/**
 * 任务实例Service接口
 *
 * @author cmvr-iot
 */
public interface ITeTaskInstService extends IService<TeTaskInst> {
    /**
     * 查询任务实例列表
     *
     * @return 任务实例集合
     */
    public List<TeTaskInstVO> selectTeTaskInstList(TeQueryTaskInstVO queryTaskInstVO);

    /**
     * 更新实例状态
     */
    public boolean updateStatus(String instId, TaskStatusEnum taskStatusEnum);

    /* *//**
     * 暂停任务
     *//*
    public void pauseTask(String instId);

    *//**
     * 终止任务
     *//*
    public void stopTask(String instId);

    *//**
     * 继续任务
     *//*
    public void resumeTask(String instId);

    *//**
     * 获取任务上下文信息
     *//*
    public TaskContext getTaskContext(String instId);
*/
}
